REM Folder Size Calculator
REM Calculates size of all files in the current folder and its subfolders
REM By default calculates size of BAT files, but you can change filter to apply neccesary names and extensions
@echo off
echo Please wait...
set /a all_sz=0
set my_ext=.bat
for /r %%d in (.) do (
    cd %%d
    for %%f in (*%my_ext%) do (
    IF /I %%~xf==%my_ext% (SET /A all_sz+=%%~zf))
)
echo All files size: %all_sz% byte(s)
Pause